PDA

View Full Version : audacious of F8 failed to update first and then couldn't be reinstall



marklf
19th January 2008, 02:34 PM
My F8 failed to update and said lack of some libs for audacious, so I removed it for other softwares needed their updates.
Now I want to reinstall the audacious and find this:


# yum install audacious*
Loading "axelget" plugin
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package audacious-plugin-fc.i386 0:0.2-3 set to be updated
--> Processing Dependency: libaudacious.so.5 for package: audacious-plugin-fc
---> Package audacious-plugins-jack.i386 0:1.4.4-1.fc8 set to be updated
---> Package audacious-plugins-vortex.i386 0:1.4.4-1.fc8 set to be updated
---> Package audacious-plugins-esd.i386 0:1.4.4-1.fc8 set to be updated
---> Package audacious-plugins-arts.i386 0:1.4.4-1.fc8 set to be updated
---> Package audacious-libs.i386 0:1.4.5-1.fc8 set to be updated
---> Package audacious-plugins-amidi.i386 0:1.4.4-1.fc8 set to be updated
---> Package audacious-plugins-wavpack.i386 0:1.4.4-1.fc8 set to be updated
---> Package audacious-plugins-extras.i386 0:1.4.4-1.fc8 set to be updated
---> Package audacious.i386 0:1.4.5-1.fc8 set to be updated
---> Package audacious-devel.i386 0:1.4.5-1.fc8 set to be updated
--> Processing Dependency: libmowgli-devel >= 0.4 for package: audacious-devel
---> Package audacious-plugins.i386 0:1.4.4-1.fc8 set to be updated
---> Package audacious-plugins-metronome.i386 0:1.4.4-1.fc8 set to be updated
--> Running transaction check
---> Package audacious-plugin-fc.i386 0:0.2-3 set to be updated
--> Processing Dependency: libaudacious.so.5 for package: audacious-plugin-fc
---> Package libmowgli-devel.i386 0:0.5.0-1.fc8 set to be updated
--> Finished Dependency Resolution
Error: Missing Dependency: libaudacious.so.5 is needed by package audacious-plugin-fc

What's wrong with it?

marklf
19th January 2008, 03:00 PM
Yes, I can install it with:
yum insall audacious
but, it seems usless without those plugins.

leigh123linux
19th January 2008, 03:04 PM
Try



su
yum install audacious* --exclude=audacious-plugin-fc --exclude=audacious-devel

marklf
19th January 2008, 04:49 PM
Thank you, leigh123.

It works for me and I have installed some plugins, but audacious still can not play any things, no thing happened!

leigh123linux
19th January 2008, 04:59 PM
I don't know why it wouldn't work without the excluded packages as they are not needed



[root@localhost leigh]# yum info audacious-plugin-fc
livna 100% |=========================| 2.1 kB 00:00
fedora 100% |=========================| 2.1 kB 00:00
fusion 100% |=========================| 951 B 00:00
updates 100% |=========================| 2.3 kB 00:00
Excluding Packages in global exclude list
Finished
Available Packages
Name : audacious-plugin-fc
Arch : x86_64
Version: 0.2
Release: 3
Size : 33 k
Repo : fedora
Summary: Future Composer input plugin for Audacious
Description:
This is an input plugin for Audacious which can play back Future Composer
music files from AMIGA. Song-length detection and seek are implemented, too.

[root@localhost leigh]#



[root@localhost leigh]# yum info audacious-devel
Excluding Packages in global exclude list
Finished
Available Packages
Name : audacious-devel
Arch : x86_64
Version: 1.4.5
Release: 1.fc8
Size : 36 k
Repo : updates
Summary: Development files for Audacious
Description:
Development files for Audacious

Name : audacious-devel
Arch : i386
Version: 1.4.5
Release: 1.fc8
Size : 36 k
Repo : updates
Summary: Development files for Audacious
Description:
Development files for Audacious

[root@localhost leigh]#


post



yum list |grep audacious

marklf
20th January 2008, 01:58 AM
This is "yum list |grep audacious":


# yum list |grep audacious
audacious.i386 1.4.5-1.fc8 installed
audacious-libs.i386 1.4.5-1.fc8 installed
audacious-plugins.i386 1.4.4-1.fc8 installed
audacious-plugins-amidi.i386 1.4.4-1.fc8 installed
audacious-plugins-arts.i386 1.4.4-1.fc8 installed
audacious-plugins-esd.i386 1.4.4-1.fc8 installed
audacious-plugins-extras.i386 1.4.4-1.fc8 installed
audacious-plugins-jack.i386 1.4.4-1.fc8 installed
audacious-plugins-metronome.i386 1.4.4-1.fc8 installed
audacious-plugins-vortex.i386 1.4.4-1.fc8 installed
audacious-plugins-wavpack.i386 1.4.4-1.fc8 installed
audacious-devel.i386 1.4.5-1.fc8 updates
audacious-docklet.i386 0.1.1-2.fc7 fedora
audacious-plugin-fc.i386 0.2-3 fedora
audacious-plugins-pulseaudio.i386 1.3.5-3.fc8 fedora

Demz
20th January 2008, 02:28 AM
try installing the rpm from here http://rpmfind.net/linux/rpm2html/search.php?query=libaudacious.so.5&submit=Search+ for libaudacious.so.5

leigh123linux
20th January 2008, 03:54 AM
It plays mp3 OK here ( I haven't tested any other media types )


[leigh@localhost ~]$ yum list |grep audacious
audacious.x86_64 1.4.5-1.fc8 installed
audacious-libs.x86_64 1.4.5-1.fc8 installed
audacious-libs.i386 1.4.5-1.fc8 installed
audacious-plugins.x86_64 1.4.4-1.fc8 installed
audacious-plugins-amidi.x86_64 1.4.4-1.fc8 installed
audacious-plugins-arts.x86_64 1.4.4-1.fc8 installed
audacious-plugins-esd.x86_64 1.4.4-1.fc8 installed
audacious-plugins-jack.x86_64 1.4.4-1.fc8 installed
audacious-plugins-metronome.x86_64 1.4.4-1.fc8 installed
audacious-plugins-nonfree-aac.x86_64 1.4.4-1.lvn8 installed
audacious-plugins-nonfree-alac.x86_64 1.4.4-1.lvn8 installed
audacious-plugins-nonfree-lame.x86_64 1.3.5-1.lvn8 installed
audacious-plugins-nonfree-mms.x86_64 1.4.4-1.lvn8 installed
audacious-plugins-nonfree-mp3.x86_64 1.4.4-1.lvn8 installed
audacious-plugins-nonfree-tta.x86_64 1.4.4-1.lvn8 installed
audacious-plugins-nonfree-wma.x86_64 1.4.4-1.lvn8 installed
audacious-plugins-vortex.x86_64 1.4.4-1.fc8 installed
audacious-plugins-wavpack.x86_64 1.4.4-1.fc8 installed
audacious-devel.i386 1.4.5-1.fc8 updates
audacious-devel.x86_64 1.4.5-1.fc8 updates
audacious-docklet.x86_64 0.1.1-2.fc7 fedora
audacious-plugin-fc.x86_64 0.2-3 fedora
audacious-plugins-pulseaudio.x86_64 1.3.5-3.fc8 fedora
[leigh@localhost ~]$

marklf
20th January 2008, 05:33 AM
try installing the rpm from here http://rpmfind.net/linux/rpm2html/search.php?query=libaudacious.so.5&submit=Search+ for libaudacious.so.5
Yeah, I've tried to remove audacious-libs-1.4....and install audacious-libs-1.3.2-3.fc8.i386.rpm, still couldn't play.

marklf
20th January 2008, 05:36 AM
leigh, I use freshrpms, maybe they have some dependence problems.
I will wait and see.
Thanks for your and Demz's help!

Demz
20th January 2008, 05:39 AM
what repo's are you using?
yum repolist

marklf
21st January 2008, 05:26 AM
I am using freshrpms and fedora's:


]# yum repolist
Loading "axelget" plugin
repo id repo name status
fedora Fedora 8 - i386 enabled
freshrpms Fedora Core 8 - i386 - Freshrpms enabled
updates Fedora 8 - i386 - Updates enabled

Demz
22nd January 2008, 02:45 AM
i cant see any problems there if you were also using Livna with Freshrpms i could understand but your not,